Subject: Re: Volatile? argument seems to be ignored for system disk images

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 18 Nov 2019 14:08:12 +0900

Jelle Licht <[email-masked]> writes:

> I am trying to dive into some of the code that goes into generating
> system disk images for guix, and I ran into the following:
>
> It seems that commit 932e1f92404d917a91af28737d6631ec45b56875 did more
> than what the commit log said:
>
>> vm: Make sure disk image initrds load 'usb-storage.ko'.
>>
>> Reported by David Thompson <[email-masked]>.
>>
>> * gnu/system/vm.scm (system-disk-image): Add usb-storage.ko to the
>>   initrd.
>
> This commit effectively made the `#:volatile?' kwarg to
> `system-disk-image' redundant. Should we remove `#:volatile?', or should
> it be passed along instead of #t?
>
> Or am I misunderstanding something subtle here, and is everything as it
> should be?

No, my understanding is the same as yours: it looks like a bug.

Fixed with commit 67ed544212.

Thank you!

Maxim